NX Open C++ Reference Guide
|
Represents a Section Plane Data class This class acts like a container to hold the data needed to create a plane. More...
Public Member Functions | |
NXOpen::Direction * | PlaneNormal () |
Returns the normal of the plane Created in NX7.0.0. | |
NXOpen::Point * | PlaneOrigin () |
Returns the origin of the plane Created in NX7.0.0. | |
NXOpen::Point * | PlanePoint1 () |
Returns the first point of the plane Created in NX7.0.0. | |
NXOpen::Point * | PlanePoint2 () |
Returns the second point of the plane Created in NX7.0.0. | |
void | SetPlaneNormal (NXOpen::Direction *point) |
Sets the normal of the plane Created in NX7.0.0. | |
void | SetPlaneOrigin (NXOpen::Point *point) |
Sets the origin of the plane Created in NX7.0.0. | |
void | SetPlanePoint1 (NXOpen::Point *point) |
Sets the first point of the plane Created in NX7.0.0. | |
void | SetPlanePoint2 (NXOpen::Point *point) |
Sets the second point of the plane Created in NX7.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Section Plane Data class This class acts like a container to hold the data needed to create a plane.
It provides the ability to define two points on a plane
Created in NX7.0.0.
NXOpen::Direction* NXOpen::GeometricUtilities::SectionPlaneData::PlaneNormal | ( | ) |
Returns the normal of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Point* NXOpen::GeometricUtilities::SectionPlaneData::PlaneOrigin | ( | ) |
Returns the origin of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Point* NXOpen::GeometricUtilities::SectionPlaneData::PlanePoint1 | ( | ) |
Returns the first point of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Point* NXOpen::GeometricUtilities::SectionPlaneData::PlanePoint2 | ( | ) |
Returns the second point of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::GeometricUtilities::SectionPlaneData::SetPlaneNormal | ( | NXOpen::Direction * | point | ) |
Sets the normal of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::GeometricUtilities::SectionPlaneData::SetPlaneOrigin | ( | NXOpen::Point * | point | ) |
Sets the origin of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::GeometricUtilities::SectionPlaneData::SetPlanePoint1 | ( | NXOpen::Point * | point | ) |
Sets the first point of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::GeometricUtilities::SectionPlaneData::SetPlanePoint2 | ( | NXOpen::Point * | point | ) |
Sets the second point of the plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.